%define	name    smalltalk
%define	version	3.0.1
%define	release	%mkrel 2

Summary:	Smalltalk free language implementation
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+ and LGPLv2+ and GFDL
Group:		Development/Other
Source0:	ftp://ftp.gnu.org/gnu/smalltalk/%{name}-%{version}.tar.bz2
# Build against system libsigsegv
Patch0:		smalltalk-3.0.1-sigsegv.patch
# Don't save image at gst-blox startup, otherwise you get a permission denied
# error (patch from Debian)
Patch1:		smalltalk-3.0.1-blox-startup.patch
URL:		http://smalltalk.gnu.org/
BuildRequires:	gtk+2-devel emacs-bin
BuildRequires:	readline-devel termcap-devel
BuildRequires:	tcl tcl-devel tk tk-devel
BuildRequires:	gdbm-devel
BuildRequires:	gmp-devel
BuildRequires:	sqlite3-devel
BuildRequires:	texinfo
BuildRequires:	libpq-devel
BuildRequires:	zlib-devel
BuildRequires:	zip
BuildRequires:	libsigsegv-devel
BuildRequires:	ffi-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
GNU Smalltalk is a Free (or Open Source) implementation that closely 
follows the Smalltalk-80 language as described in the book Smalltalk-80: 
the Language and its Implementation by Adele Goldberg and David          
Robson. GNUSmalltalk runs on most versions of Unix or Unix like 
systems (GNU/Linux, FreeBSD, etc...).        
There is even a version for commercial operating systems like MS-NT.

%package emacs
Summary:      Smalltalk mode for Emacs
Group:        Development/Other
Requires:     %{name} = %{version}-%{release}
Conflicts:    smalltalk < 3.0.1-1

%description emacs
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book Smalltalk-80:
the Language and its Implementation by Adele Goldberg and David
Robson. GNUSmalltalk runs on most versions of Unix or Unix like
systems (GNU/Linux, FreeBSD, etc...).
There is even a version for commercial operating systems like MS-NT.

This Package contains the Smalltalk mode for Emacs.

%package devel
Summary:      Smalltalk mode for Emacs
Group:        Development/Other
Requires:     %{name} = %{version}-%{release}
Conflicts:    smalltalk < 3.0.1-2

%description devel
GNU Smalltalk is a Free (or Open Source) implementation that closely
follows the Smalltalk-80 language as described in the book Smalltalk-80:
the Language and its Implementation by Adele Goldberg and David
Robson. GNUSmalltalk runs on most versions of Unix or Unix like
systems (GNU/Linux, FreeBSD, etc...).
There is even a version for commercial operating systems like MS-NT.

This Package contains header files and other stuff provided by                                                                                                                     
GNU Smalltalk. You will need this package, if you want to extent GNU
Smalltalk with functions written in C.

%prep
%setup -q
%patch0 -p1 -b .sigsegv
%patch1 -p1 -b .blox-startup

%build
autoreconf
%configure --disable-static --with-imagedir=%{_libdir}/%{name}
%make

%install
%{makeinstall_std}

%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/gst-config

%post
%_install_info gst.info

%preun
%_remove_install_info gst.info

%files 
%defattr(-,root,root)
%doc AUTHORS NEWS README
%{_bindir}/gst
%{_bindir}/gst-blox
%{_bindir}/gst-convert
%{_bindir}/gst-doc
%{_bindir}/gst-load
%{_bindir}/gst-package
%{_bindir}/gst-reload
%{_bindir}/gst-sunit
%multiarch %{multiarch_bindir}/gst-config
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_libdir}/*.so.*
%{_libdir}/smalltalk
%{_infodir}/*.info*
%{_mandir}/man1/*

%files devel                                                                                                                                                                       
%defattr(-,root,root,-)                                                                                                                                                            
%{_bindir}/gst-config                                                                                                                                                              
%{_libdir}/libgst.so                                                                                                                                                               
%{_libdir}/pkgconfig/gnu-smalltalk.pc                                                                                                                                              
%{_datadir}/aclocal/*.m4                                                                                                                                                           
%{_includedir}/gst.h                                                                                                                                                               
%{_includedir}/gstpub.h    
%{_libdir}/*.la

%files emacs
%{_datadir}/emacs/site-lisp/*


%changelog
* Sat Feb 09 2008 Frederik Himpe <fhimpe@mandriva.org> 3.0.1-2mdv2008.1
+ Revision: 164476
- Split out smalltalk-devel package
- Build against system libsigsegv, to fix the conflict with libsigsegv
- Fix BuildRequires
- Don't save the image at gst-blox start-up, to fix a permission denied
  error

* Wed Feb 06 2008 Frederik Himpe <fhimpe@mandriva.org> 3.0.1-1mdv2008.1
+ Revision: 163239
- New upstream version
- Fix buildrequires
- Put Smalltalk mode for Emacs in a separate subpackage
- Adapt to license policy

* Wed Jan 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.3.3-3mdv2008.1
+ Revision: 140770
- fix source name
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - dropped patch for PaX, useless for kernel 2.6, as found out by Frederik Himpe months ago (<http://marc.info/?l=mandrake-cooker&m=117088575205216&w=2>, <http://lists.gnu.org/archive/html/help-smalltalk/2007-02/msg00004.html>)
    - package URL fixed to point to GNU Smalltalk site


* Tue Mar 06 2007 Emmanuel Andry <eandry@mandriva.org> 2.3.3-3mdv2007.0
+ Revision: 133447
- New version 2.3.3
- drop patch0
- uncompress patch
- Import smalltalk

* Mon Jun 19 2006 Stefan van der Eijk <stefan@eijk.nu> 2.1.12-3
- rebuild for png
- %%mkrel

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 2.1.12-2mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sun Dec 04 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.12-1mdk
- 2.1.12

* Sun Jul 24 2005 Pascal Terjan <pterjan@mandriva.org> 2.1.11-1mdk
- 2.1.11
- stole 2 patches from PLD but their amd64 patch does not fix the loop at the
  end of x86_64 build

* Thu Feb 03 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.10-1mdk
- 2.1.10

* Wed Feb 02 2005 Daouda LO <daouda@mandrakesoft.com> 2.1.9-3mdk
- multiarch

* Thu Jan 20 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.9-2mdk
- rebuild for new readline

* Tue Nov 16 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.1.9-1mdk
- 2.1.9
- updated license (as libraries are licensed under LGPL)

